> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/enrichment-insights/insights-setup.md).

# Insights setup

Insights determine how enrichment is calculated for each model.

You can add or update enrichment measurements through [Product model setup](https://docs.struct.com/pim3/reference/product-model-setup.md) > [Enrichment Insights](https://docs.struct.com/pim3/reference/product-model-setup/enrichment-insights.md).

### Find insight

1. Click column header for Alias, Label or Entity type
2. Type value to search for

### Add a new insight

1. Click "Plus"-icon
2. Set insight [details](https://docs.struct.com/pim3/reference/product-model-setup/enrichment-insights/insights-setup/insight-details.md)
3. Set data elements
4. Click "Confirm"

### Edit insight

1. Click "Edit"-icon
2. Add or remove data elements
3. Click "Submit"

### Copy insight

1. Click "Copy"-icon
2. Set insight [details](https://docs.struct.com/pim3/reference/product-model-setup/enrichment-insights/insights-setup/insight-details.md)
3. Optionally add additional data elements
4. Click "Confirm"

### Delete insight

1. Click "Delete"-icon


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/enrichment-insights/insights-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
